Request a Sync
curl --request POST \
--url https://api.example.com/v2/integrations/connections/{connection_id}/sync \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/integrations/connections/{connection_id}/sync"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/integrations/connections/{connection_id}/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": "scheduled",
"attempt": 123,
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"error": "<string>",
"file_id": "<string>",
"is_initial_sync": true,
"is_one_off": true,
"model_id": "<string>",
"pagination_state": {},
"started_at": "2023-11-07T05:31:56Z",
"timerange_end": "2023-11-07T05:31:56Z",
"timerange_start": "2023-11-07T05:31:56Z",
"object": "<string>"
}
]{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}integrations
Request a Sync
Request a data sync for an integration connection.
POST
/
v2
/
integrations
/
connections
/
{connection_id}
/
sync
Request a Sync
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Available options:
scheduled, queued, running, cancelled, failed, pending_retry, complete Number of attempts made to run this sync. 0 means no attempts have been made.
Error message if the sync failed.
Whether or not this is a one off sync
End of the time range for which data is being synced.
Start of the time range for which data is being synced.
String representing the object's type. Objects of the same type share the same value.
